Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.access
Class SimulationResultTransformer

    java.lang.Object
      ru.biosoft.access.AbstractTransformer
          ru.biosoft.access.support.TagEntryTransformer
              ru.biosoft.access.support.BeanInfoEntryTransformer
                  biouml.plugins.simulation.access.SimulationResultTransformer

All Implemented Interfaces:
  Transformer

public class SimulationResultTransformer
extends BeanInfoEntryTransformer

Field Summary

Fields inherited from class ru.biosoft.access.support.TagEntryTransformer
`commands, endl, log, outputType, processedObject, tagOrder`

Fields inherited from class ru.biosoft.access.AbstractTransformer
`lineSep, primaryCollection, transformedCollection`

Constructor Summary
`SimulationResultTransformer()`

Method Summary
`java.lang.Class` | `getInputType()` Return class of input data element.
`java.lang.Class` | `getOutputType()` Return class of output data element.
`void` | `init(DataCollection primaryCollection, DataCollection transformedCollection)` Initialize transformer.
`DataElement` | `transformInput(DataElement input)` Transform input data element to output data element.
`DataElement` | `transformOutput(DataElement de)` Transform output data element to input data element.

Methods inherited from class ru.biosoft.access.support.BeanInfoEntryTransformer
`getEndTag, getStartTag, initCommands`

Methods inherited from class ru.biosoft.access.support.TagEntryTransformer
`addCommand, getProcessedObject, readObject, removeCommand, writeObject`

Methods inherited from class ru.biosoft.access.AbstractTransformer
`getPrimaryCollection, getTransformedCollection, isInputType, isOutputType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimulationResultTransformer

    public SimulationResultTransformer()

Method Detail

### getInputType

    public java.lang.Class getInputType()

  Description copied from interface: `Transformer`
  Return class of input data element. Input data element stored in primary data collection.

  Specified by:
    `getInputType` in interface `Transformer`
  Overrides:
    `getInputType` in class `TagEntryTransformer`

### getOutputType

    public java.lang.Class getOutputType()

  Description copied from interface: `Transformer`
  Return class of output data element. Output data element stored in transformed data collection.

  Specified by:
    `getOutputType` in interface `Transformer`
  Overrides:
    `getOutputType` in class `TagEntryTransformer`

### init

    public void init(DataCollection primaryCollection,
                     DataCollection transformedCollection)

  Description copied from class: `BeanInfoEntryTransformer`
  Initialize transformer.

  Specified by:
    `init` in interface `Transformer`
  Overrides:
    `init` in class `BeanInfoEntryTransformer`
  See Also:
    `AbstractTransformer.getPrimaryCollection()`, `AbstractTransformer.getTransformedCollection()`

### transformInput

    public DataElement transformInput(DataElement input)
                               throws java.lang.Exception

  Description copied from interface: `Transformer`
  Transform input data element to output data element.

  Specified by:
    `transformInput` in interface `Transformer`
  Overrides:
    `transformInput` in class `TagEntryTransformer`
  Throws:
    `java.lang.Exception`

### transformOutput

    public DataElement transformOutput(DataElement de)
                                throws java.lang.Exception

  Description copied from interface: `Transformer`
  Transform output data element to input data element.

  Specified by:
    `transformOutput` in interface `Transformer`
  Overrides:
    `transformOutput` in class `TagEntryTransformer`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.